<template>
  <v-card
    exact
    :to="
      from === 'user-circles'
        ? `/circle/${circle.id}`
        : { path: `/circle-details/${circle.id}` }
    "
    outlined
    class="circle-item"
  >
    <v-img
      class=""
      height="150px"
      :src="circleImage ? circleImage : 'https://cdn.vuetifyjs.com/images/cards/docks.jpg'"
      lazy-src
      @error="failedToloadImage = true"
    >
      <span class="circle-type">{{ circle.circleType }}</span>
    </v-img>
    <v-card-text>
      <h3 class="body-1">{{ circle.title }}</h3>
    </v-card-text>
    <v-card-actions right>
      <v-row align="center" justify="end">
        <v-col class="text-right">
          <span small text class="caption join-group-text">{{
            from === 'user-circles' ? 'Enter group conversation >>' : 'Join the group >>'
          }}</span>
        </v-col>
      </v-row>
    </v-card-actions>
  </v-card>
</template>

<script>
import CircleImage from '@/assets/img/circle.png'

export default {
  name: 'CircleItem',
  props: {
    circle: {
      type: Object
    },
    from: {
      type: String,
      default: null
    }
  },
  data: () => ({
    failedToloadImage: false
  }),
  computed: {
    circleImage: (self) => {
      if (self.failedToloadImage) return CircleImage
      return self.circle.imageUrl
    }
  },
  methods: {
  }
}
</script>

<style lang="scss">
.circle-item {
  .circle-type {
    color: #fff;
    background: #f27561;
    padding: 1px 4px 1px 4px;
    display: inline-block;
    position: absolute;
    right: 8px;
    font-size: 12px;
    top: 8px;
    border-radius: 2px;
  }
  .join-group-text {
    color: #f27561;
  }
}
</style>
